import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/notice_board_announ_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/notice_board_announ_entity.g.dart';

@JsonSerializable()
class NoticeBoardAnnounEntity {
	late int count = 0;
	late int page = 0;
	late int limit = 0;
	@JSONField(name: "count_page")
	late int countPage = 0;
	late List<NoticeBoardAnnounList> list = [];

	NoticeBoardAnnounEntity();

	factory NoticeBoardAnnounEntity.fromJson(Map<String, dynamic> json) => $NoticeBoardAnnounEntityFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardAnnounEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class NoticeBoardAnnounList {
	late int id = 0;
	late String title = '';
	@JSONField(name: "created_at")
	late String createdAt = '';

	NoticeBoardAnnounList();

	factory NoticeBoardAnnounList.fromJson(Map<String, dynamic> json) => $NoticeBoardAnnounListFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardAnnounListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}